#!/usr/bin/env bash
export PATH=$PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin

# Check if user is root
if [ $(id -u) != "0" ]; then
    echo "Error: You must be root to run this script, please use root to install lnmp"
    exit 1
fi

echo "Start fix ..."
sed -i 's/DEFAULT_ACCOUNT_KEY_LENGTH=ec-256/DEFAULT_ACCOUNT_KEY_LENGTH=2048/g' /usr/local/acme.sh/acme.sh
sed -i 's/DEFAULT_DOMAIN_KEY_LENGTH=ec-256/DEFAULT_DOMAIN_KEY_LENGTH=2048/g' /usr/local/acme.sh/acme.sh
sed -i 's/--issue ${letsdomain} -w ${vhostdir}/--issue ${letsdomain} -w ${vhostdir} -k 2048/g'  /bin/lnmp
sed -i 's/--issue ${letsdomain} --dns/--issue ${letsdomain} -k 2048 --dns/g'  /bin/lnmp
if ! cat /usr/local/acme.sh/upgrade.sh | grep -Eq "^DEFAULT_ACCOUNT_KEY_LENGTH="; then
    cat >> /usr/local/acme.sh/upgrade.sh << EOF
sed -i 's/DEFAULT_ACCOUNT_KEY_LENGTH=ec-256/DEFAULT_ACCOUNT_KEY_LENGTH=2048/g' /usr/local/acme.sh/acme.sh
sed -i 's/DEFAULT_DOMAIN_KEY_LENGTH=ec-256/DEFAULT_DOMAIN_KEY_LENGTH=2048/g' /usr/local/acme.sh/acme.sh
EOF
fi
echo "done."
